#include "clientkitapi.h"

ClientKitApi::ClientKitApi(QObject *parent, MainWindow* mw) :
    QObject(parent)
{
    m_MainWindow = mw;

    m_P4Api = new P4Api();
    m_GuiApi = new GuiApi();
    m_SystemApi = new SystemApi();
}

void ClientKitApi::setWS(int w, int h)
{
    m_MainWindow->resize(w,h);
}

QObject* ClientKitApi::p4Api()
{
    return m_P4Api;
}

QObject* ClientKitApi::systemApi()
{
    return m_SystemApi;
}

QObject* ClientKitApi::guiApi()
{
    return m_GuiApi;
}

